{
  description = "A few settings";

  outputs = _: {
    nixosModules = {
      everything = {

        imports = [
          ./modules/audio.nix
          ./modules/font.nix
          ./modules/nix-settings.nix
          ./modules/graphics.nix
          ./modules/services.nix
          ./modules/vim.nix
          ./modules/xconfig.nix
          ./modules/zsh.nix
          ./modules/prometheus.nix
          ./modules/kernel.nix
        ];

      };

      server = {
        imports = [
          ./modules/vim.nix
          ./modules/zsh.nix
          ./modules/prometheus.nix
          ./modules/kernel.nix
        ];
      };

      smol = {
        imports = [
          ./modules/nix-settings.nix
          ./modules/vim.nix
          ./modules/zsh.nix
          ./modules/audio.nix
        ];
      };
    };
  };
}
